services:
    _defaults:
        autoconfigure: true
    Violution\VioValensinaProducts\EventListener\ValensinaAliasSaveCallback:
        tags:
            - { name: contao.callback, table: tl_valensina_recipe_tag, target: fields.alias.save,  priority: 100 }
            - { name: contao.callback, table: tl_valensina_recipe, target: fields.alias.save,  priority: 100 }

    Violution\VioValensinaRecipes\ContentElements\ValensinaRecipeList:
        tags:
            - { name: contao.content_element, category: vio_valensina, template: 'ce_recipes_list' }
        arguments:
            - '@Violution\VioValensina\Service\ImageService'
    Violution\VioValensinaRecipes\ContentElements\ValensinaRecipe:
        tags:
            - { name: contao.content_element, category: vio_valensina, template: 'ce_recipe' }
        arguments:
            - '@Violution\VioValensina\Service\ImageService'